# Payments Object

> Source: https://truto.one/docs/api-reference/unified-payment-gateway-api/payments/

Schema for the `Payments` resource in **Unified Payment Gateway API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the payment
- **`amount`** _(string)_
  Amount of the payment
- **`currency`** _(string)_
  Currency of the payment
- **`transaction_fee`** _(string)_
  Transaction fee on a payment
- **`refund_amount`** _(string)_
  Refund amount of the payment
- **`status`** _(string)_
  Status of the payment. In case there is no clear mapping, the raw status is passed.
  Allowed: `pending`, `authorized`, `paid`, `partial`, `refunded`, `voided`, `cancelled`, `unknown`
- **`customer`** _(object)_
  - **`id`** _(string)_
    Unique identifier for the customer
  - **`name`** _(string)_
    Name of the customer
  - **`email`** _(string)_
    Email of the customer
  - **`phone`** _(string)_
    Phone number of the customer
- **`description`** _(string)_
  Description of the payment
- **`payment_method`** _(object)_
  - **`method`** _(string)_
    Method of payment
  - **`id`** _(string)_
    Unique identifier for the payment method
- **`created_at`** _(string)_
  Date and time when the payment was created
- **`expires_on`** _(string)_
  Date and time when the payment expires
- **`reference_id`** _(string)_
  Reference ID of the payment. This can be used to lookup payments in the system.
- **`order_id`** _(string)_
  Unique identifier for the order related to this payment.
- **`metadata`** _(object)_
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/payment-gateway/payments/{id}](/docs/api-reference/unified-payment-gateway-api/payments/get) — Get Payments
- [GET /unified/payment-gateway/payments](/docs/api-reference/unified-payment-gateway-api/payments/list) — List Payments
